<?php
/**
* Custom Hooks
*
* @package NeatBlog WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function neatblog_before_header() {
    do_action('neatblog_before_header');
}

function neatblog_after_header() {
    do_action('neatblog_after_header');
}

function neatblog_before_main_content() {
    do_action('neatblog_before_main_content');
}
add_action('neatblog_before_main_content', 'neatblog_top_widgets', 20 );

function neatblog_after_main_content() {
    do_action('neatblog_after_main_content');
}
add_action('neatblog_after_main_content', 'neatblog_bottom_widgets', 10 );

function neatblog_sidebar_one() {
    do_action('neatblog_sidebar_one');
}

function neatblog_sidebar_two() {
    do_action('neatblog_sidebar_two');
}

function neatblog_before_single_post() {
    do_action('neatblog_before_single_post');
}

function neatblog_before_single_post_title() {
    do_action('neatblog_before_single_post_title');
}

function neatblog_after_single_post_title() {
    do_action('neatblog_after_single_post_title');
}

function neatblog_top_single_post_content() {
    do_action('neatblog_top_single_post_content');
}

function neatblog_bottom_single_post_content() {
    do_action('neatblog_bottom_single_post_content');
}

function neatblog_after_single_post_content() {
    do_action('neatblog_after_single_post_content');
}

function neatblog_after_single_post() {
    do_action('neatblog_after_single_post');
}

function neatblog_before_single_page() {
    do_action('neatblog_before_single_page');
}

function neatblog_before_single_page_title() {
    do_action('neatblog_before_single_page_title');
}

function neatblog_after_single_page_title() {
    do_action('neatblog_after_single_page_title');
}

function neatblog_after_single_page_content() {
    do_action('neatblog_after_single_page_content');
}

function neatblog_after_single_page() {
    do_action('neatblog_after_single_page');
}

function neatblog_before_comments() {
    do_action('neatblog_before_comments');
}

function neatblog_after_comments() {
    do_action('neatblog_after_comments');
}

function neatblog_before_footer() {
    do_action('neatblog_before_footer');
}

function neatblog_after_footer() {
    do_action('neatblog_after_footer');
}

function neatblog_before_summary_post_title() {
    do_action('neatblog_before_summary_post_title');
}

function neatblog_after_summary_post_title() {
    do_action('neatblog_after_summary_post_title');
}

if ( ! function_exists( 'neatblog_remove_theme_support' ) ) :
function neatblog_remove_theme_support() {

    if ( neatblog_is_fitvids_active() ) {
        // Remove responsive embedded content support.
        remove_theme_support( 'responsive-embeds' );
    }

}
endif;
add_action( 'after_setup_theme', 'neatblog_remove_theme_support', 1000 );